Direct Debit

Reactivating a Direct Debit

Reactivating a Direct Debit takes a contract that is in the cancelled state and changes it to “Pending to Activate”. This sends a new instruction to the bank to re-set up the direct debit. A “new 0N” charge will be made for reactivating a direct debit.

POST/client/{clientCode}/contract/{contractId}/reactivateReactivates the Direct Debit if it is in the Cancelled state#
description:

Reactivates the Direct Debit if it is in the Cancelled state

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to reactivate.
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
{
  • Message
    stringConfirms the operation.
}
403ForbiddenForbidden - contract is protected
404Not FoundContract not found
Example request
Endpoint
POST /client/{clientCode}/contract/{contractId}/reactivate
Request body
{}
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/reactivate' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract reactivated"
}
HTTP/1.1 403 Forbidden

{
  "Message": "Contract cannot be accessed"
}
HTTP/1.1 404 Not Found

{
  "Message": "Contract not found"
}